Page MenuHomePhabricator

cloudvps: social-tools project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the social-tools project needs to upgrade as soon as possible.

The list of affected VMs is:

  • gadgets.social-tools.eqiad.wmflabs
  • social-tools2.social-tools.eqiad.wmflabs
  • timeless1.social-tools.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/social-tools

Event Timeline

aborrero triaged this task as Normal priority.Sep 18 2018, 11:31 AM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 11:31 AM

Hey @Isarra @ashley @Krinkle @Legoktm @lcawte @MZMcBride @SamanthaNguyen @UltrasonicNXT! Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help.
Also, please assign this task to an individual.

Krenair updated the task description. (Show Details)Oct 22 2018, 9:31 AM

Another ping. Deadline is approaching (2018-12-18).

On my TODO list when I clear this week's coursework off my list... that's assuming no one gets to it first.

Legoktm claimed this task.Nov 27 2018, 6:57 PM

I need to double check in the database, but I think gadgets can probably be deleted. social-tools2 and timeless1 we'll want to dump and migrate to a new host.

I'll allocate time to do the migration this weekend.

Ping. Today is Friday and the deadline is Tuesday.

I have a paper due tonight :|. I put a reminder on my calendar for the 16th.

Mentioned in SAL (#wikimedia-cloud) [2018-12-17T08:42:58Z] <legoktm> going to delete social-tools2 (T204692), obsoleted by social-tools3

Mentioned in SAL (#wikimedia-cloud) [2018-12-17T09:23:06Z] <legoktm> created timeless2 instance, set up MW-V and made timeless the default skin (T204692)

So...

  • gadgets - deleted
  • social-tools2 - deleted, replaced with social-tools3
  • timeless1- obsoleted by timeless2

@Isarra, @ashley: I was not able to get anything off of the timeless1 instance, it was pretty dead, tried telling me mysql wasn't installed, etc...do you remember if there was anything specific that was on there that you'd like to keep? I've set up https://timeless.wmflabs.org/wiki/Special:Version using master of everything as a fresh install.

If there's nothing important on the timeless1 instance (or we don't care), then we can just delete it on the 18th (migration deadline).

I think it was broken. Whatever the case, since we don't know what was there in the first place, I doubt we'll miss it!

Thanks.

Mentioned in SAL (#wikimedia-cloud) [2018-12-18T00:54:01Z] <legoktm> deleted timeless1 instance (T204692)

Legoktm closed this task as Resolved.Dec 18 2018, 12:55 AM

Ack. Deleted. So we now have one Debian Jessie instance and one Debian Stretch instance. Goodbye Trusty!

Krenair closed this task as Resolved.Jan 18 2019, 5:52 PM

@lcawte dealt with it